> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blinkops.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Pickup

Create a pickup request for a package or shipment, scheduling a FedEx courier to collect the items from the specified location.

> [!NOTE]
>
> External Documentation
>
> To learn more, visit the [FedEx documentation](https://developer.fedex.com/api/en-us/catalog/pickup/v1/docs.html#operation/Create%20Pickup).

## Basic Parameters

| Parameter | Description |
| - | - |
| Account Number | The FedEx account number associated with the shipment. |
| Carrier Code | The specific FedEx operating company (carrier) that will handle the pickup and shipment. |
| Customer Close Time | The latest time the customer is available for the driver to pick up the package.  **Note**: Must be in `HH:MM:SS` format. |
| Package Ready Time | The date and time when the shipment or package will be available for the courier to pick up. |
| Pickup Location - Address City | The city or town name for the pickup location address. |
| Pickup Location - Address Country Code | The two-letter country code associated with the Pickup Location’s address. |
| Pickup Location - Address Street Lines | The street address of the pickup location, including the street number, name, and any specific suite or delivery details. |
| Pickup Location - Phone Number | The phone number of the contact at the pickup location. |
| Pickup Location - State Or Province Code | The two-letter country code associated with the Pickup Location’s address. |
| Pickup Location Address Postal Code | The postal code of the pickup location. |

## Advanced Parameters

| Parameter | Description |
| - | - |
| Additional Parameters | A JSON object for additional body parameters. Values specified in this parameter will override equivalent parameters. For example: <pre>`{    "first_key": 12345,    "second_key": "some_value"}`</pre>The object must follow the vendor's structure as defined in the [API documentation](https://developer.fedex.com/api/en-us/catalog/pickup/v1/docs.html#operation/Create%20Pickup). |
| Customer Transaction ID | An ID to assign to the customer transaction. |
| Language Codes | The language and country code to use in the request. |

## Example Output

```json theme={"dark"}
{
	"customerTransactionId": "AnyCo_order123456789",
	"output": {
		"alerts": [
			{
				"alertType": "NOTE",
				"code": "SHIP.RECIPIENT.POSTALCITY.MISMATCH",
				"message": "Recipient Postal-City Mismatch."
			}
		],
		"location": "COSA",
		"message": "Courier on the way",
		"pickupConfirmationCode": "3001"
	},
	"transactionId": "624deea6-b709-470c-8c39-4b5511281492"
}
```
